> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update modifies an existing personal client credential. Use the update mask to specify which fields to change.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/iam/personal_clients/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/personal_clients/{id}:
    post:
      tags:
        - Personal Client
      summary: Update
      description: >-
        Update modifies an existing personal client credential. Use the update
        mask to specify which fields to change.
      operationId: c1.api.iam.v1.PersonalClientService.Update
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The unique ID of the personal client credential.
            readOnly: true
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.PersonalClientServiceUpdateRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.PersonalClientServiceUpdateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Update
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.PersonalClient.Update(ctx, operations.C1APIIamV1PersonalClientServiceUpdateRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.PersonalClientServiceUpdateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.personalClient.update({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.iam.v1.PersonalClientServiceUpdateRequestInput:
      description: The PersonalClientServiceUpdateRequest message.
      properties:
        client:
          $ref: '#/components/schemas/c1.api.iam.v1.PersonalClient'
        updateMask:
          nullable: true
          readOnly: false
          type: string
      title: Personal Client Service Update Request
      type: object
      x-speakeasy-name-override: PersonalClientServiceUpdateRequest
    c1.api.iam.v1.PersonalClientServiceUpdateResponse:
      description: The PersonalClientServiceUpdateResponse message.
      properties:
        client:
          $ref: '#/components/schemas/c1.api.iam.v1.PersonalClient'
      title: Personal Client Service Update Response
      type: object
      x-speakeasy-name-override: PersonalClientServiceUpdateResponse
    c1.api.iam.v1.PersonalClient:
      description: >-
        The PersonalClient message contains information about a presonal client
        credential.
      properties:
        allowSourceCidr:
          description: |-
            If set, only allows the CIDRs in the array to use the credential.
             Accepts IPv4 (e.g. 10.0.0.0/24) or IPv6 (e.g. 2001:db8::/32) CIDRs.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        clientId:
          description: The clientID of the credential.
          readOnly: true
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The display name of the personal client credential.
          readOnly: false
          type: string
        expiresTime:
          format: date-time
          readOnly: false
          type: string
        id:
          description: The unique ID of the personal client credential.
          readOnly: true
          type: string
        lastUsedAt:
          format: date-time
          readOnly: true
          type: string
        scopedRoles:
          description: |-
            scoped_roles provides a list of IAM Roles
             that this OAuth2 Client's API permissions
             are reduced to. The permissions granted to OAuth2 Client
             are AND'ed against the owning User's own permissions.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: The ID of the user that this credential is created for.
          readOnly: true
          type: string
      title: Personal Client
      type: object
      x-speakeasy-name-override: PersonalClient
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````